import request from '@/utils/request'

// 查询科室病种信息列表
export function listDepartmentDisease(query) {
    return request({
        url: '/system/departmentDisease/list',
        method: 'get',
        params: query
    })
}
export function getDepartmentList(query) {
    return request({
        url: '/system/department/getDepartmentList',
        method: 'get',
        params: query
    })
}
export function selectDiseaseCount(departmentName) {
    return request({
        url: `/system/departmentDisease/selectDiseaseCount?departmentName=${departmentName}`,
        method: 'get',
      
    })
}
//  get 搜索条件传departmentName

// 查询科室病种信息详细
export function getDepartmentDisease(id) {
    return request({
        url: '/system/departmentDisease/' + id,
        method: 'get'
    })
}

// 新增科室病种信息
export function addDepartmentDisease(data) {
    return request({
        url: '/system/departmentDisease/add',
        method: 'post',
        data: data
    })
}


// 修改科室病种信息
export function updateDepartmentDisease(data) {
    return request({
        url: '/system/departmentDisease/edit',
        method: 'post',
        data: data
    })
}

// 删除科室病种信息
export function delDepartmentDisease(id) {
    return request({
        url: '/system/departmentDisease/' + id,
        method: 'delete'
    })
}
